/*
 * Class HASH_TABLE [G#1, POINTER]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_1783 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_1783 [] = {0xFF01,1551,1782,0xFFF8,1,881,0xFFFF};
static const EIF_TYPE_INDEX egt_2_1783 [] = {0xFF01,1782,0xFFF8,1,881,0xFFFF};
static const EIF_TYPE_INDEX egt_3_1783 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_1783 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_1783 [] = {0xFF01,1782,0xFFF8,1,881,0xFFFF};
static const EIF_TYPE_INDEX egt_6_1783 [] = {0xFF01,1782,0xFFF8,1,881,0xFFFF};
static const EIF_TYPE_INDEX egt_7_1783 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_1783 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_1783 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_1783 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_1783 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_1783 [] = {1782,0xFFF8,1,881,0xFFFF};
static const EIF_TYPE_INDEX egt_13_1783 [] = {0xFF01,1782,0xFFF8,1,881,0xFFFF};
static const EIF_TYPE_INDEX egt_14_1783 [] = {0xFF01,1567,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_1783 [] = {0xFF02,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_16_1783 [] = {0xFF01,610,0xFFFF};
static const EIF_TYPE_INDEX egt_17_1783 [] = {0xFF02,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_18_1783 [] = {0xFF01,1791,0xFFF8,2,0xFFFF};
static const EIF_TYPE_INDEX egt_19_1783 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_20_1783 [] = {0xFFF8,2,0xFFFF};
static const EIF_TYPE_INDEX egt_21_1783 [] = {0xFF01,601,0xFFFF};
static const EIF_TYPE_INDEX egt_22_1783 [] = {0xFF02,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_23_1783 [] = {869,0xFFFF};
static const EIF_TYPE_INDEX egt_24_1783 [] = {869,0xFFFF};
static const EIF_TYPE_INDEX egt_25_1783 [] = {0xFF01,1782,0xFFF8,1,881,0xFFFF};
static const EIF_TYPE_INDEX egt_26_1783 [] = {0xFF01,1547,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_27_1783 [] = {0xFF01,1786,0xFFF8,2,0xFFFF};
static const EIF_TYPE_INDEX egt_28_1783 [] = {0xFF01,1668,869,0xFFFF};
static const EIF_TYPE_INDEX egt_29_1783 [] = {0xFF01,2011,866,0xFFFF};
static const EIF_TYPE_INDEX egt_30_1783 [] = {0xFF02,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_31_1783 [] = {0xFF02,0xFFF8,2,0xFFFF};
static const EIF_TYPE_INDEX egt_32_1783 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_33_1783 [] = {0xFF02,0xFFF8,2,0xFFFF};
static const EIF_TYPE_INDEX egt_34_1783 [] = {0xFF02,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_35_1783 [] = {0xFF02,0xFFF8,2,0xFFFF};
static const EIF_TYPE_INDEX egt_36_1783 [] = {0xFF02,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_37_1783 [] = {0xFF02,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_38_1783 [] = {0xFFF8,2,0xFFFF};
static const EIF_TYPE_INDEX egt_39_1783 [] = {0xFF01,1783,0xFFF8,1,0xFFF8,2,0xFFFF};
static const EIF_TYPE_INDEX egt_40_1783 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_41_1783 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_42_1783 [] = {0xFF01,580,0xFFFF};
static const EIF_TYPE_INDEX egt_43_1783 [] = {0xFFF8,2,0xFFFF};


static const struct desc_info desc_1783[] = {
	{EIF_GENERIC(NULL), 13370, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_1783), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_1783), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 13391, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_1783), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13315, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_1783), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_1783), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_1783), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_1783), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_1783), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_1783), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_1783), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_1783), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_1783), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_1783), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_1783), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 13379, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9201, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8598, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8599, 24},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8600, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8601, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8602, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_1783), 13314, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_1783), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 13395, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 13396, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9009, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9063, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13369, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9010, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13311, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9011, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13312, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13317, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_1783), 13017, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13371, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13372, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13373, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_1783), 13374, 0},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 13377, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 13378, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_1783), 13380, 0xFFFFFFFF},
	{EIF_GENERIC(egt_19_1783), 13381, 0xFFFFFFFF},
	{EIF_GENERIC(egt_20_1783), 13382, 0xFFFFFFFF},
	{EIF_GENERIC(egt_21_1783), 13383, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 13386, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 13388, 28},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 13392, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 13393, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 13397, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 13398, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 13399, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 13400, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 13401, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 13402, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 13403, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 13404, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 13405, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13408, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13409, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13410, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13411, 0xFFFFFFFF},
	{EIF_GENERIC(egt_22_1783), 13412, 0xFFFFFFFF},
	{EIF_GENERIC(egt_23_1783), 13413, 0xFFFFFFFF},
	{EIF_GENERIC(egt_24_1783), 13303, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13306, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13307, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13308, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13309, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13310, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13313, 0xFFFFFFFF},
	{EIF_GENERIC(egt_25_1783), 13316, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 13318, 25},
	{EIF_GENERIC(egt_26_1783), 13319, 4},
	{EIF_GENERIC(egt_27_1783), 13320, 8},
	{EIF_GENERIC(egt_28_1783), 13321, 12},
	{EIF_GENERIC(egt_29_1783), 13322, 16},
	{EIF_NON_GENERIC(0x06CB /*869*/), 13323, 32},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 13324, 26},
	{EIF_NON_GENERIC(0x06CB /*869*/), 13325, 36},
	{EIF_NON_GENERIC(0x06CB /*869*/), 13326, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 13327, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 13328, 40},
	{EIF_NON_GENERIC(0x06CB /*869*/), 13329, 44},
	{EIF_NON_GENERIC(0x06CB /*869*/), 13330, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 13331, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 13332, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 13333, 48},
	{EIF_GENERIC(egt_30_1783), 13334, 20},
	{EIF_GENERIC(egt_31_1783), 13335, 56},
	{EIF_NON_GENERIC(0x06CB /*869*/), 13336, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 13337, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 13338, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 13339, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13340, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 13341, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13342, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13343, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13344, 0xFFFFFFFF},
	{EIF_GENERIC(egt_32_1783), 13345, 0xFFFFFFFF},
	{EIF_GENERIC(egt_33_1783), 13346, 0xFFFFFFFF},
	{EIF_GENERIC(egt_34_1783), 13347, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13348, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13349, 0xFFFFFFFF},
	{EIF_GENERIC(egt_35_1783), 13350, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 13351, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 13352, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 13353, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13354, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 13355, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13356, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 13357, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13358, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 13359, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13360, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13361, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 13362, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13363, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 13364, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13365, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 13366, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13367, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 13368, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 13387, 52},
	{EIF_GENERIC(egt_36_1783), 13375, 0xFFFFFFFF},
	{EIF_GENERIC(egt_37_1783), 13376, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 13406, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13304, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13305, 0xFFFFFFFF},
	{EIF_GENERIC(egt_38_1783), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_39_1783), 13384, 0xFFFFFFFF},
	{EIF_GENERIC(egt_40_1783), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_41_1783), 13385, 0xFFFFFFFF},
	{EIF_GENERIC(egt_42_1783), 13390, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 13407, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 13387, 52},
	{EIF_NON_GENERIC(0x06CB /*869*/), 13389, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 13394, 0xFFFFFFFF},
	{EIF_GENERIC(egt_43_1783), -1, 0xFFFFFFFF},
};
void Init1783(void)
{
	IDSC(desc_1783, 0, 1782);
	IDSC(desc_1783 + 1, 1, 1782);
	IDSC(desc_1783 + 32, 1134, 1782);
	IDSC(desc_1783 + 41, 1135, 1782);
	IDSC(desc_1783 + 50, 617, 1782);
	IDSC(desc_1783 + 52, 1604, 1782);
	IDSC(desc_1783 + 141, 916, 1782);
	IDSC(desc_1783 + 147, 1088, 1782);
	IDSC(desc_1783 + 149, 1570, 1782);
	IDSC(desc_1783 + 152, 554, 1782);
	IDSC(desc_1783 + 153, 778, 1782);
	IDSC(desc_1783 + 154, 878, 1782);
	IDSC(desc_1783 + 155, 344, 1782);
}


#ifdef __cplusplus
}
#endif
